apiVersion: v1
kind: BuildConfig
metadata:
  name: build-limits-build
spec:
  output:
    to:
      kind: ImageStreamTag
      name: build-limits-image:latest
  postCommit: {}
  resources:
    limits:
      memory: 1Gi
    requests:
      memory: 1Gi
  runPolicy: Serial
  source:
    git:
      uri: http://gitlab.devel.xpaas/ose3/build-limits-tf12mc.git
    type: Git
  strategy:
    sourceStrategy:
      env:
      - name: ARG
        value: "536870912"
      - name: COMPARE
        value: eq
      - name: xxMAVEN_MIRROR_URL
        value: http://maven.devel.xpaas/nexus/content/groups/public/
      - name: MAVEN_ARGS
        value: clean package
      from:
        kind: DockerImage
        name: brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/redhat-openjdk-18/openjdk18-openshift:1.1-4
      incremental: false
    type: Source
